> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sora2 視頻混音

> 編輯和修改已生成的視頻

* Sora2 視頻混音功能
* 混音和編輯已生成的視頻
* 支持基於現有視頻進行二次創作
* 異步任務管理，通過任務 ID 查詢結果

## Path Parameters

<ParamField path="video_id" type="string" required>
  原始視頻任務 ID

  這是之前視頻生成請求返回的任務 ID
</ParamField>

## Authorizations

<ParamField header="Authorization" type="string" required>
  所有接口均需要使用 Bearer Token 進行認證

  獲取 API Key：訪問 [API Key 管理頁面](https://toapis.com/console/token) 獲取您的 API Key

  使用時在請求頭中添加：

  ```
  Authorization: Bearer YOUR_API_KEY
  ```
</ParamField>

## Body

<ParamField body="model" type="string" default="sora-2" required>
  視頻混音模型名稱

  支持的模型：

  * `sora-2` - 標準版
  * `sora-2-pro` - 專業版，支持更長時長
  * `sora-2-vip` - VIP版，更高優先級

  示例：`"sora-2"` 或 `"sora-2-pro"`
</ParamField>

<ParamField body="prompt" type="string" required>
  混音指令描述
</ParamField>

<ParamField body="duration" type="integer">
  視頻時長（秒）

  * `sora-2`：支持 10 或 15 秒
  * `sora-2-pro`：支持 15 秒（HD）或 25 秒

  示例：`15`
</ParamField>

<ParamField body="aspect_ratio" type="string">
  視頻寬高比

  支持的格式：

  * `16:9` - 標準寬屏（推薦）
  * `9:16` - 豎屏模式
  * `1:1` - 方形

  示例：`"16:9"`
</ParamField>

## Response

<ResponseField name="id" type="string">
  任務唯一標識符，用於查詢任務狀態
</ResponseField>

<ResponseField name="object" type="string">
  對象類型，固定爲 `generation.task`
</ResponseField>

<ResponseField name="model" type="string">
  使用的模型名稱
</ResponseField>

<ResponseField name="status" type="string">
  任務狀態

  * `queued` - 排隊等待處理
  * `in_progress` - 處理中
  * `completed` - 成功完成
  * `failed` - 失敗
</ResponseField>

<ResponseField name="progress" type="integer">
  任務進度百分比（0-100）
</ResponseField>

<ResponseField name="created_at" type="integer">
  任務創建時間戳（Unix 時間戳）
</ResponseField>

<ResponseField name="metadata" type="object">
  任務元數據
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://toapis.com/v1/videos/task_01K8SGYNNNVBQTXNR4MM964S7K/remix \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "model": "sora-2",
      "prompt": "Add a puppy playing in the scene",
      "duration": 15,
      "aspect_ratio": "16:9"
    }'
  ```

  ```python Python theme={null}
  import requests

  video_id = "task_01K8SGYNNNVBQTXNR4MM964S7K"

  response = requests.post(
      f"https://toapis.com/v1/videos/{video_id}/remix",
      headers={
          "Authorization": "Bearer your-ToAPIs-key",
          "Content-Type": "application/json"
      },
      json={
          "model": "sora-2",
          "prompt": "Add a puppy playing in the scene",
          "duration": 15,
          "aspect_ratio": "16:9"
      }
  )

  task = response.json()
  print(f"任務 ID: {task['id']}")
  print(f"狀態: {task['status']}")
  ```

  ```javascript JavaScript theme={null}
  const videoId = 'task_01K8SGYNNNVBQTXNR4MM964S7K';

  const response = await fetch(`https://toapis.com/v1/videos/${videoId}/remix`, {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer your-ToAPIs-key',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      model: 'sora-2',
      prompt: 'Add a puppy playing in the scene',
      duration: 15,
      aspect_ratio: '16:9'
    })
  });

  const task = await response.json();
  console.log(`任務 ID: ${task.id}`);
  console.log(`狀態: ${task.status}`);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "video_01K8SGYNNNVBQTXNR4MM964S7K",
    "object": "generation.task",
    "model": "sora-2",
    "status": "queued",
    "progress": 0,
    "created_at": 1768380224,
    "metadata": {
      "size": "720x720"
    }
  }
  ```
</ResponseExample>
